Zum Hauptinhalt springen
GET
/
account-info
/
v3
/
activity
/
security
Retrieve security history
curl --request GET \
  --url https://api.hubapi.com/account-info/v3/activity/security \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "actingUser": "person3@testdomain.com",
      "countryCode": "ie",
      "createdAt": "2022-04-01T19:36:24.303Z",
      "id": "5432653",
      "infoUrl": "app.hubspot.com/settings/123/users",
      "ipAddress": "45.56.67.89",
      "objectId": "7654",
      "regionCode": "d",
      "type": "ADD_USER",
      "userId": 876
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

after
string

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

fromTimestamp
integer<int64>

Limit to activities created after this epoch timestamp.

limit
integer<int32>

The maximum number of results to display per page. Max value of limit is 200.

toTimestamp
integer<int64>

Limit to activities created before this epoch timestamp.

userId
integer<int32>

Identifier of user to retrieve activities for

Antwort

successful operation

results
object[]
erforderlich
paging
object
Last modified on April 9, 2026